package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.MallUserInfo;
import com.iformall.domain.po.WxBillDeposit;
import com.iformall.domain.po.WxPayAccountBill;

public interface WxBillDepositService {

	/**
     * 根据实体查询分页列表
     *
     * @param offset
     * @param limit
     * @param record
     * @return
     */
    PageInfo<WxBillDeposit> listAsPage(WxBillDeposit record, Integer pageIndex, Integer pageSize);

    void updateBillStatus(WxBillDeposit record);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxBillDeposit getById(Long id);
    
        /**
     * 保存或更新实体
     *
         * @param record
         * @param user
         */
        ResultData saveOrUpdate(WxBillDeposit record, MallUserInfo user);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    ResultData updatePaid(Long id);


    ResultData returnDeposit(WxBillDeposit wxBillDeposit, MallUserInfo user);

    ResultData adjustDeposit(WxBillDeposit wxBillDeposit);

    void computeTotalMoney(WxPayAccountBill wxPayAccountBill, WxBillDeposit deposit);

}
